!  Driver for offline version of surface code coupled via oasis-mct

PROGRAM MASTER1S_CPL

USE PARKIND1  ,ONLY : JPRD
USE YOMLUN1S , ONLY : NULOUT
USE OMP_LIB
USE CPLNG


#include "cnt01s.intfb.h"

REAL (KIND=JPRD) :: ZTT0,ZTT1

ZTT0 = OMP_GET_WTIME()

NULOUT = 6
OPEN(NULOUT,FILE='osm.log',STATUS='UNKNOWN')

! OASIS initialization
CALL CPLNG_INIT

CALL CNT01S

! OASIS Finalize 
CALL CPLNG_FINALIZE


ZTT1 = OMP_GET_WTIME()
WRITE(NULOUT,'(a22,f12.3)') 'MASTER1s: Time total: ',ZTT1-ZTT0

CLOSE(NULOUT)

END PROGRAM MASTER1S_CPL
