<!DOCTYPE html>
<html lang="en" dir="ltr">
<head>
<meta charset="UTF-8" />
<title>Rc.vim - tm5</title>
<meta name="generator" content="MediaWiki 1.17.0" />
<link rel="shortcut icon" href="/favicon.ico" />
<link rel="search" type="application/opensearchdescription+xml" href="/opensearch_desc.php" title="tm5 (en)" />
<link rel="EditURI" type="application/rsd+xml" href="http://tm.knmi.nl/api.php?action=rsd" />
<link rel="alternate" type="application/atom+xml" title="tm5 Atom feed" href="/index.php?title=Special:RecentChanges&amp;feed=atom" />
<link rel="stylesheet" href="/load.php?debug=false&amp;lang=en&amp;modules=mediawiki.legacy.commonPrint%2Cshared%7Cskins.vector&amp;only=styles&amp;skin=vector&amp;*" />
<meta name="ResourceLoaderDynamicStyles" content="" />
<!--[if lt IE 7]><style type="text/css">body{behavior:url("/skins/vector/csshover.min.htc")}</style><![endif]--></head>
<body class="mediawiki ltr ns-0 ns-subject page-Rc_vim skin-vector">
		<div id="mw-page-base" class="noprint"></div>
		<div id="mw-head-base" class="noprint"></div>
		<!-- content -->
		<div id="content">
			<a id="top"></a>
			<div id="mw-js-message" style="display:none;"></div>
						<!-- firstHeading -->
			<h1 id="firstHeading" class="firstHeading">Rc.vim</h1>
			<!-- /firstHeading -->
			<!-- bodyContent -->
			<div id="bodyContent">
				<!-- tagline -->
				<div id="siteSub">From tm5</div>
				<!-- /tagline -->
				<!-- subtitle -->
				<div id="contentSub"></div>
				<!-- /subtitle -->
																<!-- jumpto -->
				<div id="jump-to-nav">
					Jump to: <a href="#mw-head">navigation</a>,
					<a href="#p-search">search</a>
				</div>
				<!-- /jumpto -->
								<!-- bodytext -->
				<p>Copy this file (make sure there is not problem with end-of-lines by running dos2unix on it):
</p>
<pre>" Copy-pasted a lot from examples of IDL.
" Gives nice result for color scheme 'evening'
" Feel free for hacking this file
if version &lt; 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

syn keyword rcTodo contained TODO

syn region rcString start=+"+ end=+"+
syn region rcString start=+'+ end=+'+

syn match rcRealNumber "\&lt;\d\+\(\.\=\d*e[+-]\=\d\+\|\.\d*d\|\.\d*\|d\)"
syn match rcRealNumber "\.\d\+\(d\|e[+-]\=\d\+\)\="

syn match rcNumber "\&lt;\.\@!\d\+\.\@!\(b\|u\|us\|s\|l\|ul\|ll\|ull\)\=\&gt;"

syn match  rcDblCommaError "\,\s*\,"

syn match rcDefinition "^\s*\(.:\@!\)*.:"
syn match rcVariable "\${\(\l\|\u\|\d\)*}"
syn keyword rcNumber F T

syn match rcStatement "#eval" 
syn match rcVariable "\(^\s*#eval\s*\)\@&lt;=\(\u\|\l\|\d\)*=\@="
syn match  rcComment "[\!].*$" contains=rcTodo
" Define the default highlighting.
" For version 5.7 and earlier: only when not done already
" For version 5.8 and later: only when an item doesn't have highlighting yet
if version &gt;= 508 ||&#160;!exists("did_idlang_syn_inits")
  if version &lt; 508
    let did_idlang_syn_inits = 1
    command -nargs=+ HiLink hi link &lt;args&gt;
else
    command -nargs=+ HiLink hi def link &lt;args&gt;
endif

  HiLink rcDefinition	Type
  HiLink rcStatement	Statement
  HiLink rcContinueLine	Todo
  HiLink rcRealNumber	Float
  HiLink rcNumber 	Number
  HiLink rcString 	String
  HiLink rcComment	Comment
  HiLink rcTodo   	Todo
  HiLink rcDblCommaError	Error
  HiLink rcVariable	Special

  delcommand HiLink
endif

let b:current_syntax = "idlang"
" vim: ts=18
</pre>
<!-- 
NewPP limit report
Preprocessor node count: 1/1000000
Post-expand include size: 0/2097152 bytes
Template argument size: 0/2097152 bytes
Expensive parser function count: 0/100
-->

<!-- Saved in parser cache with key wikidb:pcache:idhash:78-0!*!0!!*!*!edit=0 and timestamp 20180712144133 -->
<div class="printfooter">
Retrieved from "<a href="http://tm.knmi.nl/index.php/Rc.vim">http://tm.knmi.nl/index.php/Rc.vim</a>"</div>
				<!-- /bodytext -->
								<!-- catlinks -->
				<div id='catlinks' class='catlinks catlinks-allhidden'></div>				<!-- /catlinks -->
												<div class="visualClear"></div>
			</div>
			<!-- /bodyContent -->
		</div>
		<!-- /content -->
		<!-- header -->
		<div id="mw-head" class="noprint">
			
<!-- 0 -->
<div id="p-personal" class="">
	<h5>Personal tools</h5>
	<ul>
					<li  id="pt-anonuserpage"><a href="/index.php/User:145.23.254.101" title="The user page for the IP address you are editing as [.]" accesskey="." class="new">145.23.254.101</a></li>
					<li  id="pt-anontalk"><a href="/index.php/User_talk:145.23.254.101" title="Discussion about edits from this IP address [n]" accesskey="n" class="new">Talk for this IP address</a></li>
					<li  id="pt-anonlogin"><a href="/index.php?title=Special:UserLogin&amp;returnto=Rc.vim" title="You are encouraged to log in; however, it is not mandatory [o]" accesskey="o">Log in</a></li>
			</ul>
</div>

<!-- /0 -->
			<div id="left-navigation">
				
<!-- 0 -->
<div id="p-namespaces" class="vectorTabs">
	<h5>Namespaces</h5>
	<ul>
					<li  id="ca-nstab-main" class="selected"><span><a href="/index.php/Rc.vim"  title="View the content page [c]" accesskey="c">Page</a></span></li>
					<li  id="ca-talk" class="new"><span><a href="/index.php?title=Talk:Rc.vim&amp;action=edit&amp;redlink=1"  title="Discussion about the content page [t]" accesskey="t">Discussion</a></span></li>
			</ul>
</div>

<!-- /0 -->

<!-- 1 -->
<div id="p-variants" class="vectorMenu emptyPortlet">
		<h5><span>Variants</span><a href="#"></a></h5>
	<div class="menu">
		<ul>
					</ul>
	</div>
</div>

<!-- /1 -->
			</div>
			<div id="right-navigation">
				
<!-- 0 -->
<div id="p-views" class="vectorTabs">
	<h5>Views</h5>
	<ul>
					<li id="ca-view" class="selected"><span><a href="/index.php/Rc.vim" >Read</a></span></li>
					<li id="ca-viewsource"><span><a href="/index.php?title=Rc.vim&amp;action=edit"  title="This page is protected.&#10;You can view its source [e]" accesskey="e">View source</a></span></li>
					<li id="ca-history" class="collapsible "><span><a href="/index.php?title=Rc.vim&amp;action=history"  title="Past revisions of this page [h]" accesskey="h">View history</a></span></li>
			</ul>
</div>

<!-- /0 -->

<!-- 1 -->
<div id="p-cactions" class="vectorMenu emptyPortlet">
	<h5><span>Actions</span><a href="#"></a></h5>
	<div class="menu">
		<ul>
					</ul>
	</div>
</div>

<!-- /1 -->

<!-- 2 -->
<div id="p-search">
	<h5><label for="searchInput">Search</label></h5>
	<form action="/index.php" id="searchform">
		<input type='hidden' name="title" value="Special:Search"/>
				<input id="searchInput" name="search" type="text"  title="Search tm5 [f]" accesskey="f"  value="" />
		<input type='submit' name="go" class="searchButton" id="searchGoButton"	value="Go" title="Go to a page with this exact name if exists" />
		<input type="submit" name="fulltext" class="searchButton" id="mw-searchButton" value="Search" title="Search the pages for this text" />
			</form>
</div>

<!-- /2 -->
			</div>
		</div>
		<!-- /header -->
		<!-- panel -->
			<div id="mw-panel" class="noprint">
				<!-- logo -->
					<div id="p-logo"><a style="background-image: url(/skins/common/images/tm5.png);" href="/index.php/Main_Page"  title="Visit the main page"></a></div>
				<!-- /logo -->
				
<!-- navigation -->
<div class="portal" id='p-navigation'>
	<h5>Navigation</h5>
	<div class="body">
				<ul>
					<li id="n-mainpage-description"><a href="/index.php/Main_Page" title="Visit the main page [z]" accesskey="z">Main page</a></li>
					<li id="n-portal"><a href="/index.php/Tm5:Community_portal" title="About the project, what you can do, where to find things">Community portal</a></li>
					<li id="n-currentevents"><a href="/index.php/Tm5:Current_events" title="Find background information on current events">Current events</a></li>
					<li id="n-recentchanges"><a href="/index.php/Special:RecentChanges" title="The list of recent changes in the wiki [r]" accesskey="r">Recent changes</a></li>
					<li id="n-randompage"><a href="/index.php/Special:Random" title="Load a random page [x]" accesskey="x">Random page</a></li>
					<li id="n-help"><a href="/index.php/Help:Contents" title="The place to find out">Help</a></li>
				</ul>
			</div>
</div>

<!-- /navigation -->

<!-- SEARCH -->

<!-- /SEARCH -->

<!-- TOOLBOX -->
<div class="portal" id="p-tb">
	<h5>Toolbox</h5>
	<div class="body">
		<ul>
					<li id="t-whatlinkshere"><a href="/index.php/Special:WhatLinksHere/Rc.vim" title="List of all wiki pages that link here [j]" accesskey="j">What links here</a></li>
						<li id="t-recentchangeslinked"><a href="/index.php/Special:RecentChangesLinked/Rc.vim" title="Recent changes in pages linked from this page [k]" accesskey="k">Related changes</a></li>
																																										<li id="t-specialpages"><a href="/index.php/Special:SpecialPages" title="List of all special pages [q]" accesskey="q">Special pages</a></li>
									<li id="t-print"><a href="/index.php?title=Rc.vim&amp;printable=yes" rel="alternate" title="Printable version of this page [p]" accesskey="p">Printable version</a></li>
						<li id="t-permalink"><a href="/index.php?title=Rc.vim&amp;oldid=168" title="Permanent link to this revision of the page">Permanent link</a></li>
						</ul>
	</div>
</div>

<!-- /TOOLBOX -->

<!-- LANGUAGES -->

<!-- /LANGUAGES -->
			</div>
		<!-- /panel -->
		<!-- footer -->
		<div id="footer">
											<ul id="footer-info">
																	<li id="footer-info-lastmod"> This page was last modified on 18 July 2013, at 10:19.</li>
																							<li id="footer-info-viewcount">This page has been accessed 1,374 times.</li>
															</ul>
															<ul id="footer-places">
																	<li id="footer-places-privacy"><a href="/index.php/Tm5:Privacy_policy" title="Tm5:Privacy policy">Privacy policy</a></li>
																							<li id="footer-places-about"><a href="/index.php/Tm5:About" title="Tm5:About">About tm5</a></li>
																							<li id="footer-places-disclaimer"><a href="/index.php/Tm5:General_disclaimer" title="Tm5:General disclaimer">Disclaimers</a></li>
															</ul>
											<ul id="footer-icons" class="noprint">
					<li id="footer-poweredbyico">
						<a href="http://www.mediawiki.org/"><img src="/skins/common/images/poweredby_mediawiki_88x31.png" alt="Powered by MediaWiki" width="88" height="31" /></a>
					</li>
				</ul>
						<div style="clear:both"></div>
		</div>
		<!-- /footer -->
		
<script src="/load.php?debug=false&amp;lang=en&amp;modules=startup&amp;only=scripts&amp;skin=vector&amp;*"></script>
<script>if ( window.mediaWiki ) {
	mediaWiki.config.set({"wgCanonicalNamespace": "", "wgCanonicalSpecialPageName": false, "wgNamespaceNumber": 0, "wgPageName": "Rc.vim", "wgTitle": "Rc.vim", "wgAction": "view", "wgArticleId": 78, "wgIsArticle": true, "wgUserName": null, "wgUserGroups": ["*"], "wgCurRevisionId": 168, "wgCategories": [], "wgBreakFrames": false, "wgRestrictionEdit": [], "wgRestrictionMove": []});
}
</script>
<script>if ( window.mediaWiki ) {
	mediaWiki.loader.load(["mediawiki.util", "mediawiki.legacy.wikibits", "mediawiki.legacy.ajax"]);
	mediaWiki.loader.go();
}
</script>

<script>if ( window.mediaWiki ) {
	mediaWiki.user.options.set({"ccmeonemails":0,"cols":80,"contextchars":50,"contextlines":5,"date":"default","diffonly":0,"disablemail":0,"disablesuggest":0,"editfont":"default","editondblclick":0,"editsection":1,"editsectiononrightclick":0,"enotifminoredits":0,"enotifrevealaddr":0,"enotifusertalkpages":1,"enotifwatchlistpages":0,"extendwatchlist":0,"externaldiff":0,"externaleditor":0,"fancysig":0,"forceeditsummary":0,"gender":"unknown","hideminor":0,"hidepatrolled":0,"highlightbroken":1,"imagesize":2,"justify":0,"math":1,"minordefault":0,"newpageshidepatrolled":0,"nocache":0,"noconvertlink":0,"norollbackdiff":0,"numberheadings":0,"previewonfirst":0,"previewontop":1,"quickbar":1,"rcdays":7,"rclimit":50,"rememberpassword":0,"rows":25,"searchlimit":20,"showhiddencats":0,"showjumplinks":1,"shownumberswatching":1,"showtoc":1,"showtoolbar":1,"skin":"vector","stubthreshold":0,"thumbsize":2,"underline":2,"uselivepreview":0,"usenewrc":0,"watchcreations":0,"watchdefault":0,"watchdeletion":0,
	"watchlistdays":3,"watchlisthideanons":0,"watchlisthidebots":0,"watchlisthideliu":0,"watchlisthideminor":0,"watchlisthideown":0,"watchlisthidepatrolled":0,"watchmoves":0,"wllimit":250,"variant":"en","language":"en","searchNs0":true,"searchNs1":false,"searchNs2":false,"searchNs3":false,"searchNs4":false,"searchNs5":false,"searchNs6":false,"searchNs7":false,"searchNs8":false,"searchNs9":false,"searchNs10":false,"searchNs11":false,"searchNs12":false,"searchNs13":false,"searchNs14":false,"searchNs15":false});;mediaWiki.loader.state({"user.options":"ready"});
}
</script>		<!-- fixalpha -->
		<script type="text/javascript"> if ( window.isMSIE55 ) fixalpha(); </script>
		<!-- /fixalpha -->
		<!-- Served in 0.240 secs. -->			</body>
</html>
