MODULE YOMRLXSM

USE PARKIND1  ,ONLY : JPIM     ,JPRB

USE PARDIM

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------
!*    ** *YOMRLXSM* - CONTROL OPTIONS FOR SOIL MOISTURE NUDGING
!     ------------------------------------------------------------------

! LRXSM : number of levels
! LRXSMT1, LRXSMT2, LRXSMT3, LRXSMT4 : time scale for each level
! LRXSMS : before or after
! RLXSMDIR : directory where nudging files are
! ZRLX039, ..040, ..041, ..42 : 
!    time-interpolated (read external files for different levels  

INTEGER(KIND=JPIM) :: LRXSM, LRXSMT1, LRXSMT2, LRXSMT3, LRXSMT4, LRXSMS
REAL(KIND=JPRB), ALLOCATABLE :: ZRLX039(:), ZRLX040(:), ZRLX041(:), ZRLX042(:)
CHARACTER (LEN = 300) :: RLXSMDIR
 
END MODULE YOMRLXSM

